SET search_path = hotwire, pg_catalog;

ALTER TABLE ONLY hotwire."hw_Preferences" DROP CONSTRAINT hw_pref_type_fkey;
DROP TRIGGER hw_rg_software_licence_decl_trigger ON hotwire."10_View/Research_Groups/Software_Licence_Declaration";
DROP RULE wpkg_software_upd ON hotwire."30_WPKG/10_software";
DROP RULE wpkg_software_ins ON hotwire."30_WPKG/10_software";
DROP RULE wpkg_software_del ON hotwire."30_WPKG/10_software";
DROP RULE wpkg_licence_upd ON hotwire."30_WPKG/40_licence";
DROP RULE wpkg_licence_instance_upd ON hotwire."30_WPKG/15_licence_instance";
DROP RULE wpkg_licence_instance_ins ON hotwire."30_WPKG/15_licence_instance";
DROP RULE wpkg_licence_instance_del ON hotwire."30_WPKG/15_licence_instance";
DROP RULE wpkg_licence_ins ON hotwire."30_WPKG/40_licence";
DROP RULE wpkg_licence_del ON hotwire."30_WPKG/40_licence";
DROP RULE update_supervisors ON hotwire."10_View/Roles/Bulk_update_supervisors";
DROP RULE upd ON hotwire."10_View/Network/Switch Config Fragments";
DROP RULE switch_upd ON hotwire."10_View/Network/Switch_With_Rooms";
DROP RULE switch_ins ON hotwire."10_View/Network/Switch_With_Rooms";
DROP RULE switch_del ON hotwire."10_View/Network/Switch_With_Rooms";
DROP RULE post_history_ins ON hotwire."10_View/Roles/Post_History";
DROP RULE people_website_upd ON hotwire."10_View/People/Website_View";
DROP RULE paper_licence_certs_upd ON hotwire."30_WPKG/25_paper_licence_certs";
DROP RULE paper_licence_certs_ins ON hotwire."30_WPKG/25_paper_licence_certs";
DROP RULE paper_licence_certs_del ON hotwire."30_WPKG/25_paper_licence_certs";
DROP RULE ins ON hotwire."10_View/Network/Switch Config Fragments";
DROP RULE hw_user_preferences_upd ON hotwire."90_Action/Hotwire/User Preferences";
DROP RULE hw_user_preferences_ins ON hotwire."90_Action/Hotwire/User Preferences";
DROP RULE hw_user_preferences_del ON hotwire."90_Action/Hotwire/User Preferences";
DROP RULE hw_rg_comp_reps_upd ON hotwire."10_View/Research_Groups/Computer_reps";
DROP RULE hw_all_contact_details_upd ON hotwire."10_View/People/All_Contact_Details";
DROP RULE hptwire_view_postgrad_mentor_meetings_del ON hotwire."10_View/Postgrad_Mentor_Meetings";
DROP RULE hotwire_view_vlan_upd ON hotwire."10_View/Network/VLAN";
DROP RULE hotwire_view_vlan_ins ON hotwire."10_View/Network/VLAN";
DROP RULE hotwire_view_vlan_del ON hotwire."10_View/Network/VLAN";
DROP RULE hotwire_view_visitors_upd ON hotwire."10_View/Roles/Visitors";
DROP RULE hotwire_view_visitors_ins ON hotwire."10_View/Roles/Visitors";
DROP RULE hotwire_view_visitors_del ON hotwire."10_View/Roles/Visitors";
DROP RULE hotwire_view_user_account_upd ON hotwire."10_View/User_Account";
DROP RULE hotwire_view_user_account_ins ON hotwire."10_View/User_Account";
DROP RULE hotwire_view_user_account_del ON hotwire."10_View/User_Account";
DROP RULE hotwire_view_telephone_management_upd ON hotwire."10_View/Telephone_Management";
DROP RULE hotwire_view_telephone_management_ins ON hotwire."10_View/Telephone_Management";
DROP RULE hotwire_view_telephone_management_del ON hotwire."10_View/Telephone_Management";
DROP RULE hotwire_view_telephone_basic_upd ON hotwire."10_View/Telephone_Basic";
DROP RULE hotwire_view_telephone_basic_ins ON hotwire."10_View/Telephone_Basic";
DROP RULE hotwire_view_telephone_basic_del ON hotwire."10_View/Telephone_Basic";
DROP RULE hotwire_view_system_image_user_upd ON hotwire."10_View/System_Image_User";
DROP RULE hotwire_view_system_image_user_ins ON hotwire."10_View/System_Image_User";
DROP RULE hotwire_view_system_image_user_del ON hotwire."10_View/System_Image_User";
DROP RULE hotwire_view_system_image_basic_upd ON hotwire."10_View/System_Image_Basic";
DROP RULE hotwire_view_system_image_basic_ins ON hotwire."10_View/System_Image_Basic";
DROP RULE hotwire_view_system_image_basic_del ON hotwire."10_View/System_Image_Basic";
DROP RULE hotwire_view_system_image_asset_upd ON hotwire."10_View/System_Image_Asset";
DROP RULE hotwire_view_system_image_asset_ins ON hotwire."10_View/System_Image_Asset";
DROP RULE hotwire_view_system_image_asset_del ON hotwire."10_View/System_Image_Asset";
DROP RULE hotwire_view_system_image_all_upd ON hotwire."10_View/System_Image_All";
DROP RULE hotwire_view_system_image_all_upd ON hotwire."10_View/Dom0_DomU_Mapping";
DROP RULE hotwire_view_system_image_all_ins ON hotwire."10_View/System_Image_All";
DROP RULE hotwire_view_system_image_all_ins ON hotwire."10_View/Dom0_DomU_Mapping";
DROP RULE hotwire_view_system_image_all_del ON hotwire."10_View/System_Image_All";
DROP RULE hotwire_view_system_image_ai_upd ON hotwire."10_View/System_Image_Autoinstaller";
DROP RULE hotwire_view_switchport_upd ON hotwire."10_View/Switchport";
DROP RULE hotwire_view_switchport_ins ON hotwire."10_View/Switchport";
DROP RULE hotwire_view_switchport_del ON hotwire."10_View/Switchport";
DROP RULE hotwire_view_subnet_upd ON hotwire."10_View/Network/Subnet";
DROP RULE hotwire_view_subnet_ins ON hotwire."10_View/Network/Subnet";
DROP RULE hotwire_view_staff_reviews_upd ON hotwire."10_View/Staff_Reviews";
DROP RULE hotwire_view_staff_reviews_ins ON hotwire."10_View/Staff_Reviews";
DROP RULE hotwire_view_staff_reviews_del ON hotwire."10_View/Staff_Reviews";
DROP RULE hotwire_view_socket_upd ON hotwire."10_View/Socket";
DROP RULE hotwire_view_socket_ins ON hotwire."10_View/Socket";
DROP RULE hotwire_view_socket_del ON hotwire."10_View/Socket";
DROP RULE hotwire_view_room_occupants_upd ON hotwire."10_View/Rooms/Room_Occupants";
DROP RULE hotwire_view_room_occupancy_upd ON hotwire."10_View/Rooms/Room_Occupancy";
DROP RULE hotwire_view_room_occupancy_ins ON hotwire."10_View/Rooms/Room_Occupancy";
DROP RULE hotwire_view_room_occupancy_del ON hotwire."10_View/Rooms/Room_Occupancy";
DROP RULE hotwire_view_room_attributes_upd ON hotwire."10_View/Rooms/Room_Attributes";
DROP RULE hotwire_view_room_attributes_ins ON hotwire."10_View/Rooms/Room_Attributes";
DROP RULE hotwire_view_room_attributes_del ON hotwire."10_View/Rooms/Room_Attributes";
DROP RULE hotwire_view_research_interest_group_upd ON hotwire."10_View/Research_Interest_Group";
DROP RULE hotwire_view_research_interest_group_ins ON hotwire."10_View/Research_Interest_Group";
DROP RULE hotwire_view_research_groups_computing_upd ON hotwire."10_View/Research_Groups_Computing";
DROP RULE hotwire_view_research_groups_computing_ins ON hotwire."10_View/Research_Groups_Computing";
DROP RULE hotwire_view_research_groups_computing_del ON hotwire."10_View/Research_Groups_Computing";
DROP RULE hotwire_view_research_group_test_editing_upd ON hotwire."10_View/Research_Group_Test_Editing";
DROP RULE hotwire_view_research_group_test2_editing_upd ON hotwire."10_View/Research_Group_Test2_Editing";
DROP RULE hotwire_view_research_group_editing_upd ON hotwire."10_View/Research_Group_Editing";
DROP RULE hotwire_view_research_group_editing_ins ON hotwire."10_View/Research_Group_Editing";
DROP RULE hotwire_view_research_group_editing_del ON hotwire."10_View/Research_Group_Editing";
DROP RULE hotwire_view_registration_and_leaving_upd ON hotwire."10_View/Registration_and_Leaving";
DROP RULE hotwire_view_printers_upd ON hotwire."10_View/Printers";
DROP RULE hotwire_view_printers_del ON hotwire."10_View/Printers";
DROP RULE hotwire_view_postgrad_training_upd ON hotwire."10_View/Postgrad_Training";
DROP RULE hotwire_view_postgrad_training_ins ON hotwire."10_View/Postgrad_Training";
DROP RULE hotwire_view_postgrad_training_del ON hotwire."10_View/Postgrad_Training";
DROP RULE hotwire_view_postgrad_students_upd ON hotwire."10_View/Roles/Postgrad_Students";
DROP RULE hotwire_view_postgrad_students_ins ON hotwire."10_View/Roles/Postgrad_Students";
DROP RULE hotwire_view_postgrad_students_del ON hotwire."10_View/Roles/Postgrad_Students";
DROP RULE hotwire_view_postgrad_mentor_meetings_ins ON hotwire."10_View/Postgrad_Mentor_Meetings";
DROP RULE hotwire_view_postgrad_mentor_meeting_upd ON hotwire."10_View/Postgrad_Mentor_Meetings";
DROP RULE hotwire_view_post_history_update_rules ON hotwire."10_View/Roles/Post_History";
DROP RULE hotwire_view_post_history_del ON hotwire."10_View/Roles/Post_History";
DROP RULE hotwire_view_personnel_history_v2_upd ON hotwire."10_View/People/Personnel_History";
DROP RULE hotwire_view_personnel_data_entry_upd ON hotwire."10_View/People/Personnel_Data_Entry";
DROP RULE hotwire_view_personnel_data_entry_ins ON hotwire."10_View/People/Personnel_Data_Entry";
DROP RULE hotwire_view_personnel_data_entry_del ON hotwire."10_View/People/Personnel_Data_Entry";
DROP RULE hotwire_view_personnel_basic_upd ON hotwire."10_View/People/Personnel_Basic";
DROP RULE hotwire_view_personnel_basic_ins ON hotwire."10_View/People/Personnel_Basic";
DROP RULE hotwire_view_personnel_basic_del ON hotwire."10_View/People/Personnel_Basic";
DROP RULE hotwire_view_patch_panel_upd ON hotwire."10_View/Patch_Panel";
DROP RULE hotwire_view_patch_panel_ins ON hotwire."10_View/Patch_Panel";
DROP RULE hotwire_view_patch_panel_del ON hotwire."10_View/Patch_Panel";
DROP RULE hotwire_view_part_iii_upd ON hotwire."10_View/Roles/Part_III_Students";
DROP RULE hotwire_view_part_iii_ins ON hotwire."10_View/Roles/Part_III_Students";
DROP RULE hotwire_view_part_iii_del ON hotwire."10_View/Roles/Part_III_Students";
DROP RULE hotwire_view_network_switch_upd ON hotwire."10_View/Network/Switch";
DROP RULE hotwire_view_network_switch_port_config_goal_upd ON hotwire."10_View/Network/Switch_Port_Config_Goals";
DROP RULE hotwire_view_network_switch_port_config_goal_ins ON hotwire."10_View/Network/Switch_Port_Config_Goals";
DROP RULE hotwire_view_network_switch_port_config_goal_del ON hotwire."10_View/Network/Switch_Port_Config_Goals";
DROP RULE hotwire_view_network_switch_port_config_fragment_upd ON hotwire."10_View/Network/Switch_Port_Config_Fragments";
DROP RULE hotwire_view_network_switch_port_config_fragment_ins ON hotwire."10_View/Network/Switch_Port_Config_Fragments";
DROP RULE hotwire_view_network_switch_port_config_fragment_del ON hotwire."10_View/Network/Switch_Port_Config_Fragments";
DROP RULE hotwire_view_network_switch_del ON hotwire."10_View/Network/Switch";
DROP RULE hotwire_view_network_switch_config_goal_upd ON hotwire."10_View/Network/Switch_Config_Goals";
DROP RULE hotwire_view_network_switch_config_goal_ins ON hotwire."10_View/Network/Switch_Config_Goals";
DROP RULE hotwire_view_network_switch_config_goal_del ON hotwire."10_View/Network/Switch_Config_Goals";
DROP RULE hotwire_view_mailing_lists_optouts_upd ON hotwire."10_View/Mailing_Lists/OptOuts";
DROP RULE hotwire_view_mailing_lists_optins_upd ON hotwire."10_View/Mailing_Lists/OptIns";
DROP RULE hotwire_view_ips_without_hostnames_upd ON hotwire."30_Report/IPs_without_Hostnames_ro";
DROP RULE hotwire_view_ips_without_hardware_upd ON hotwire."30_Report/IPs_without_Hardware_ro";
DROP RULE hotwire_view_ip_address_upd ON hotwire."10_View/IP_address";
DROP RULE hotwire_view_ip_address_ins ON hotwire."10_View/IP_address";
DROP RULE hotwire_view_ip_address_del ON hotwire."10_View/IP_address";
DROP RULE hotwire_view_hardware_full_upd ON hotwire."10_View/Hardware_Full";
DROP RULE hotwire_view_hardware_full_ins ON hotwire."10_View/Hardware_Full";
DROP RULE hotwire_view_hardware_full_del ON hotwire."10_View/Hardware_Full";
DROP RULE hotwire_view_hardware_basic_upd ON hotwire."10_View/Hardware_Basic";
DROP RULE hotwire_view_hardware_basic_ins ON hotwire."10_View/Hardware_Basic";
DROP RULE hotwire_view_hardware_basic_del ON hotwire."10_View/Hardware_Basic";
DROP RULE hotwire_view_group_fileservers_upd ON hotwire."10_View/Group_Fileservers";
DROP RULE hotwire_view_group_fileservers_ins ON hotwire."10_View/Group_Fileservers";
DROP RULE hotwire_view_group_fileservers_del ON hotwire."10_View/Group_Fileservers";
DROP RULE hotwire_view_fume_hoods_upd ON hotwire."10_View/Safety/Fume_Hoods";
DROP RULE hotwire_view_fume_hoods_del ON hotwire."10_View/Safety/Fume_Hoods";
DROP RULE hotwire_view_fume_hood_ins ON hotwire."10_View/Safety/Fume_Hoods";
DROP RULE hotwire_view_erasmus_students_upd ON hotwire."10_View/Roles/Erasmus_Students";
DROP RULE hotwire_view_erasmus_students_ins ON hotwire."10_View/Roles/Erasmus_Students";
DROP RULE hotwire_view_erasmus_students_del ON hotwire."10_View/Roles/Erasmus_Students";
DROP RULE hotwire_view_edit_operating_systems_upd ON hotwire."10_View/Edit_Operating_Systems";
DROP RULE hotwire_view_edit_operating_systems_ins ON hotwire."10_View/Edit_Operating_Systems";
DROP RULE hotwire_view_edit_operating_systems_del ON hotwire."10_View/Edit_Operating_Systems";
DROP RULE hotwire_view_edit_list_of_titles_ins ON hotwire."10_View/Edit_List_of_Titles";
DROP RULE hotwire_view_edit_hardware_types_upd ON hotwire."10_View/Edit_Hardware_Types";
DROP RULE hotwire_view_edit_hardware_types_ins ON hotwire."10_View/Edit_Hardware_Types";
DROP RULE hotwire_view_edit_hardware_types_del ON hotwire."10_View/Edit_Hardware_Types";
DROP RULE hotwire_view_easy_add_virtual_machine_view_upd ON hotwire."10_View/Easy_Add_Virtual_Machine";
DROP RULE hotwire_view_easy_add_switch ON hotwire."10_View/Easy_Add_Switch";
DROP RULE hotwire_view_easy_add_machine_view_upd ON hotwire."10_View/Easy_Add_Machine";
DROP RULE hotwire_view_dom0_domu_mapping_del ON hotwire."10_View/Dom0_DomU_Mapping";
DROP RULE hotwire_view_dns_mx_records_upd ON hotwire."10_View/DNS/MX_Records";
DROP RULE hotwire_view_dns_mx_records_ins ON hotwire."10_View/DNS/MX_Records";
DROP RULE hotwire_view_dns_mx_records_del ON hotwire."10_View/DNS/MX_Records";
DROP RULE hotwire_view_dns_cnames_upd ON hotwire."10_View/DNS/CNames";
DROP RULE hotwire_view_dns_cnames_ins ON hotwire."10_View/DNS/CNames";
DROP RULE hotwire_view_dns_cnames_del ON hotwire."10_View/DNS/CNames";
DROP RULE hotwire_view_dns_anames_upd ON hotwire."10_View/DNS/ANames";
DROP RULE hotwire_view_dns_anames_ins ON hotwire."10_View/DNS/ANames";
DROP RULE hotwire_view_dns_anames_del ON hotwire."10_View/DNS/ANames";
DROP RULE hotwire_view_cpgs_submission_upd ON hotwire."10_View/CPGS_Submission";
DROP RULE hotwire_view_buildings_upd ON hotwire."10_View/Buildings";
DROP RULE hotwire_view_buildings_ins ON hotwire."10_View/Buildings";
DROP RULE hotwire_view_building_regions_upd ON hotwire."10_View/Building_Regions";
DROP RULE hotwire_view_building_regions_ins ON hotwire."10_View/Building_Regions";
DROP RULE hotwire_view_building_floors_upd ON hotwire."10_View/Building_Floors";
DROP RULE hotwire_view_building_floors_ins ON hotwire."10_View/Building_Floors";
DROP RULE hotwire_10_view_10_it_tasks_tasks_upd ON hotwire."10_View/10_IT_Tasks/Tasks";
DROP RULE hotwire_10_view_10_it_tasks_tasks_ins ON hotwire."10_View/10_IT_Tasks/Tasks";
DROP RULE "hotwire_10_Views/10_IT_Tasks/Strategic Goals_upd" ON hotwire."10_View/10_IT_Tasks/Strategic Goals";
DROP RULE "hotwire_10_Views/10_IT_Tasks/Strategic Goals_ins" ON hotwire."10_View/10_IT_Tasks/Strategic Goals";
DROP RULE "hotwire_10_Views/10_IT_Tasks/Strategic Goals_del" ON hotwire."10_View/10_IT_Tasks/Strategic Goals";
DROP RULE "hotwire_10_View/Systems/ChemNet_upd" ON hotwire."10_View/Systems/ChemNet";
DROP RULE "hotwire_10_View/Systems/ChemNet_ins" ON hotwire."10_View/Systems/ChemNet";
DROP RULE "hotwire_10_View/People/Photography_Registration_upd" ON hotwire."10_View/People/Photography_Registration";
DROP RULE "hotwire_10_View/People/Photography_Registration_ins" ON hotwire."10_View/People/Photography_Registration";
DROP RULE "hotwire_10_View/Network/Switch_Port_upd" ON hotwire."10_View/Network/Switch_Port";
DROP RULE "hotwire_10_View/Network/Switch_Port_ins" ON hotwire."10_View/Network/Switch_Port";
DROP RULE "hotwire_10_View/Network/Switch_Port_del" ON hotwire."10_View/Network/Switch_Port";
DROP RULE "hotwire_10_View/Network/Switch Models_upd" ON hotwire."10_View/Network/Switch Models";
DROP RULE "hotwire_10_View/Network/Switch Models_ins" ON hotwire."10_View/Network/Switch Models";
DROP RULE "hotwire_10_View/Network/Switch Models_del" ON hotwire."10_View/Network/Switch Models";
DROP RULE "hotwire_10_View/Network/MAC_to_VLAN2_upd" ON hotwire."10_View/Network/MAC_to_VLAN";
DROP RULE "hotwire_10_View/Network/MAC_to_VLAN2_ins" ON hotwire."10_View/Network/MAC_to_VLAN";
DROP RULE "hotwire_10_View/Network/MAC_to_VLAN2_del" ON hotwire."10_View/Network/MAC_to_VLAN";
DROP RULE "hotwire_10_View/Network/GBIC_upd" ON hotwire."10_View/Network/GBIC";
DROP RULE "hotwire_10_View/Network/GBIC_ins" ON hotwire."10_View/Network/GBIC";
DROP RULE "hotwire_10_View/Network/GBIC_del" ON hotwire."10_View/Network/GBIC";
DROP RULE "hotwire_10_View/Network/Fibres/10_Fibre_run_upd" ON hotwire."10_View/Network/Fibres/10_Fibre_run";
DROP RULE "hotwire_10_View/Network/Fibres/10_Fibre_run_ins" ON hotwire."10_View/Network/Fibres/10_Fibre_run";
DROP RULE "hotwire_10_View/Network/Fibres/10_Fibre_run_del" ON hotwire."10_View/Network/Fibres/10_Fibre_run";
DROP RULE "hotwire_10_View/Network/Fibre_Panel_upd" ON hotwire."10_View/Network/Fibre_Panel";
DROP RULE "hotwire_10_View/Network/Fibre_Panel_ins" ON hotwire."10_View/Network/Fibre_Panel";
DROP RULE "hotwire_10_View/Network/Fibre_Panel_del" ON hotwire."10_View/Network/Fibre_Panel";
DROP RULE "hotwire_10_View/Network/Fibre/Tests_upd" ON hotwire."10_View/Network/Fibres/Tests";
DROP RULE "hotwire_10_View/Network/Fibre/Tests_ins" ON hotwire."10_View/Network/Fibres/Tests";
DROP RULE "hotwire_10_View/Network/Fibre/Tests_del" ON hotwire."10_View/Network/Fibres/Tests";
DROP RULE "hotwire_10_View/Network/DB_Admin/Fibre Core Type_upd" ON hotwire."10_View/Network/DB_Admin/Fibre Core Type";
DROP RULE "hotwire_10_View/Network/DB_Admin/Fibre Core Type_ins" ON hotwire."10_View/Network/DB_Admin/Fibre Core Type";
DROP RULE "hotwire_10_View/Network/DB_Admin/Fibre Core Type_del" ON hotwire."10_View/Network/DB_Admin/Fibre Core Type";
DROP RULE "hotwire_10_View/Network/Cabinet_upd" ON hotwire."10_View/Network/Cabinet";
DROP RULE "hotwire_10_View/Network/Cabinet_ins" ON hotwire."10_View/Network/Cabinet";
DROP RULE "hotwire_10_View/Network/Cabinet_del" ON hotwire."10_View/Network/Cabinet";
DROP RULE "hotwire_10_View/Mailing_Lists/Chemistry_Mail_Domain_upd" ON hotwire."10_View/Mailing_Lists/Chemistry_Mail_Domain";
DROP RULE "hotwire_10_View/Mailing_Lists/Chemistry_Mail_Domain_ins" ON hotwire."10_View/Mailing_Lists/Chemistry_Mail_Domain";
DROP RULE "hotwire_10_View/Mailing_Lists/Chemistry_Mail_Domain_del" ON hotwire."10_View/Mailing_Lists/Chemistry_Mail_Domain";
DROP RULE "hotwire_10_View/IT_Sales/Sales_upd" ON hotwire."10_View/IT_Sales/Sales";
DROP RULE "hotwire_10_View/IT_Sales/Sales_ins" ON hotwire."10_View/IT_Sales/Sales";
DROP RULE "hotwire_10_View/IT_Sales/Sales_del" ON hotwire."10_View/IT_Sales/Sales";
DROP RULE "hotwire_10_View/Hobbit/Clients_Cfg_upd" ON hotwire."10_View/Hobbit/Clients_Cfg";
DROP RULE "hotwire_10_View/Hobbit/Clients_Cfg_ins" ON hotwire."10_View/Hobbit/Clients_Cfg";
DROP RULE "hotwire_10_View/Hobbit/Clients_Cfg_del" ON hotwire."10_View/Hobbit/Clients_Cfg";
DROP RULE "hotwire_10_View/10_IT_Tasks/Tasks_del" ON hotwire."10_View/10_IT_Tasks/Tasks";
DROP RULE "hotwire_10_View/10_IT_Tasks/IT_Projects_upd" ON hotwire."10_View/10_IT_Tasks/IT_Projects";
DROP RULE "hotwire_10_View/10_IT_Tasks/IT_Projects_ins" ON hotwire."10_View/10_IT_Tasks/IT_Projects";
DROP RULE "hotwire_10_View/10_IT_Tasks/IT_Projects_del" ON hotwire."10_View/10_IT_Tasks/IT_Projects";
DROP RULE "hotwire_10_Network/Fibres/15_Fibre_Core_upd" ON hotwire."10_View/Network/Fibres/15_Fibre_Core";
DROP RULE "hotwire_10_Network/Fibres/15_Fibre_Core_ins" ON hotwire."10_View/Network/Fibres/15_Fibre_Core";
DROP RULE "hotwire_10_Network/Fibres/15_Fibre_Core_del" ON hotwire."10_View/Network/Fibres/15_Fibre_Core";
DROP RULE group_computers_view_upd ON hotwire."10_View/Group_Computers_Autoinstaller";
DROP RULE group_computers_view_upd ON hotwire."10_View/Group_Computers";
DROP RULE group_computers_view_del ON hotwire."10_View/Group_Computers_Autoinstaller";
DROP RULE group_computers_view_del ON hotwire."10_View/Group_Computers";
DROP RULE firstaiders_upd ON hotwire."10_View/Safety/Firstaiders";
DROP RULE firstaiders_ins ON hotwire."10_View/Safety/Firstaiders";
DROP RULE firstaiders_del ON hotwire."10_View/Safety/Firstaiders";
DROP RULE fire_warden_upd ON hotwire."10_View/Safety/Fire_wardens";
DROP RULE fire_warden_ins ON hotwire."10_View/Safety/Fire_wardens";
DROP RULE fire_warden_del ON hotwire."10_View/Safety/Fire_wardens";
DROP RULE fire_warden_area_upd ON hotwire."10_View/Safety/Fire_warden_areas";
DROP RULE fire_warden_area_ins ON hotwire."10_View/Safety/Fire_warden_areas";
DROP RULE fire_warden_area_del ON hotwire."10_View/Safety/Fire_warden_areas";
DROP RULE del ON hotwire."10_View/Network/Switch Config Fragments";
ALTER TABLE ONLY hotwire._subviews DROP CONSTRAINT pk_hw_subviews;
ALTER TABLE ONLY hotwire.hw_preference_type_hid DROP CONSTRAINT hw_preference_type_pkey;
ALTER TABLE ONLY hotwire."hw_User Preferences" DROP CONSTRAINT "hw_User Preferences.pkey";
ALTER TABLE ONLY hotwire."hw_Preferences" DROP CONSTRAINT "Preferences_pkey";
DROP VIEW hotwire.www_room_hid;
DROP VIEW hotwire.www_person_notitles_hid;
DROP VIEW hotwire.website_staff_category_hid;
DROP VIEW hotwire.vlan_vid_hid;
DROP VIEW hotwire.vlan_hid;
DROP VIEW hotwire.visitor_type_hid;
DROP VIEW hotwire.virus_detection_strategy_hid;
DROP VIEW hotwire.usual_reviewer_hid;
DROP VIEW hotwire.usual_mentor_hid;
DROP VIEW hotwire.user_prereg_title_hid;
DROP VIEW hotwire.user_prereg_standing_hid;
DROP VIEW hotwire.user_hid;
DROP VIEW hotwire.upgrading_licence_hid;
DROP VIEW hotwire.upgraded_licence_hid;
DROP VIEW hotwire.updated_software_package_hid;
DROP VIEW hotwire.university_term_hid;
DROP VIEW hotwire.title_hid;
DROP VIEW hotwire.time_estimate_hid;
DROP VIEW hotwire.system_image_host_hid;
DROP VIEW hotwire.system_image_hid;
DROP VIEW hotwire.switchport_hid;
DROP VIEW hotwire.switch_port_goal_hid;
DROP VIEW hotwire.switch_port_config_goal_hid;
DROP VIEW hotwire.switch_model_hid;
DROP VIEW hotwire.switch_ip_hid;
DROP VIEW hotwire.switch_hid;
DROP VIEW hotwire.switch_hardware_type_hid;
DROP VIEW hotwire.switch_config_goal_hid;
DROP VIEW hotwire.supervisor_person_hid;
DROP VIEW hotwire.supervisor_hid;
DROP VIEW hotwire.supervisee_hid;
DROP VIEW hotwire.substitute_supervisor_hid;
DROP VIEW hotwire.subnet_hid;
DROP VIEW hotwire.student_name_hid;
DROP VIEW hotwire.status_hid;
DROP VIEW hotwire."status_(required)_hid";
DROP VIEW hotwire.staff_category_hid;
DROP VIEW hotwire.socket_hid;
DROP VIEW hotwire.sector_hid;
DROP VIEW hotwire.second_supervisor_hid;
DROP VIEW hotwire.second_mentor_hid;
DROP VIEW hotwire.room_type_hid;
DROP VIEW hotwire.room_long_hid;
DROP VIEW hotwire.room_hid;
DROP VIEW hotwire.role_status_hid;
DROP VIEW hotwire.reviewer_hid;
DROP VIEW hotwire.responsible_person_hid;
DROP VIEW hotwire.responsible_group_hid;
DROP VIEW hotwire.research_interest_group_hid;
DROP VIEW hotwire.research_group_hid;
DROP VIEW hotwire.recirc_or_ducted_hid;
DROP VIEW hotwire.reboot_hid;
DROP VIEW hotwire.printer_class_hid;
DROP VIEW hotwire.primary_office_hid;
DROP VIEW hotwire.primary_member_hid;
DROP VIEW hotwire.rig_member_hid;
DROP VIEW hotwire.preference_hid;
DROP VIEW hotwire.predecessor_task_hid;
DROP VIEW hotwire.postit_owner_hid;
DROP VIEW hotwire.postgraduate_studentship_type_hid;
DROP VIEW hotwire.postgraduate_studentship_hid;
DROP VIEW hotwire.post_history_hid;
DROP VIEW hotwire.post_category_hid;
DROP VIEW hotwire.physical_status_hid;
DROP VIEW hotwire.physical_room_hid;
DROP VIEW hotwire.patch_strategy_hid;
DROP VIEW hotwire.patch_panel_type_hid;
DROP VIEW hotwire.patch_panel_hid;
DROP VIEW hotwire.paper_licence_certificate_hid;
DROP VIEW hotwire.owner_hid;
DROP VIEW hotwire.os_class_hid;
DROP VIEW hotwire.operating_system_hid;
DROP VIEW hotwire.old_supervisor_hid;
DROP VIEW hotwire.occupants_hid;
DROP VIEW hotwire.occupant_group_hid;
DROP VIEW hotwire.new_supervisor_hid;
DROP VIEW hotwire.network_electrical_connection_hid;
DROP VIEW hotwire.netboot_hid;
DROP VIEW hotwire.nationality_hid;
DROP VIEW hotwire.mentor_hid;
DROP VIEW hotwire.member_hid;
DROP VIEW hotwire.manager_hid;
DROP VIEW hotwire.linked_socket_hid;
DROP VIEW hotwire.licence_downgraded_to_hid;
DROP VIEW hotwire.itsales_unit_hid;
DROP VIEW hotwire.itsales_type_hid;
DROP VIEW hotwire.itsales_status_hid;
DROP VIEW hotwire.it_task_hid;
DROP VIEW hotwire.it_strategic_goal_hid;
DROP VIEW hotwire.it_project_hid;
DROP VIEW hotwire.ip_address_qid;
DROP VIEW hotwire.ip_address_hid;
DROP VIEW hotwire.installer_tag_hid;
DROP VIEW hotwire.infraction_type_hid;
DROP VIEW hotwire.include_person_hid;
DROP VIEW hotwire.host_system_image_hid;
DROP VIEW hotwire.host_hid;
DROP VIEW hotwire.head_of_group_hid;
DROP VIEW hotwire.hardware_type_hid;
DROP VIEW hotwire.hardware_hid;
DROP VIEW hotwire.group_fileserver_hid;
DROP VIEW hotwire.goal_class_hid;
DROP VIEW hotwire.gender_hid;
DROP VIEW hotwire."gender_(required)_hid";
DROP VIEW hotwire.fume_hood_type_hid;
DROP VIEW hotwire.fume_hood_device_type_hid;
DROP VIEW hotwire.firstaider_funding_hid;
DROP VIEW hotwire.first_supervisor_hid;
DROP VIEW hotwire.first_mentor_hid;
DROP VIEW hotwire.firetrace_type_hid;
DROP VIEW hotwire.fire_warden_area_hid;
DROP VIEW hotwire.fibre_type_hid;
DROP VIEW hotwire.fibre_test_type_hid;
DROP VIEW hotwire.fibre_termination_hid;
DROP VIEW hotwire.fibre_run_hid;
DROP VIEW hotwire.fibre_termination_b_hid;
DROP VIEW hotwire.fibre_termination_a_hid;
DROP VIEW hotwire.fai_class_hid;
DROP VIEW hotwire.exclude_person_hid;
DROP VIEW hotwire.erasmus_type_hid;
DROP VIEW hotwire.domu_hid;
DROP VIEW hotwire.domain_for_dns_server_hid;
DROP VIEW hotwire.dom0_hid;
DROP VIEW hotwire.dns_domain_hid;
DROP VIEW hotwire.deputy_fire_warden_hid;
DROP VIEW hotwire.fire_warden_hid;
DROP VIEW hotwire.dept_telephone_number_hid;
DROP VIEW hotwire.depended_software_package_hid;
DROP VIEW hotwire.software_package_hid;
DROP VIEW hotwire.default_system_image_hid;
DROP VIEW hotwire.connector_type_hid;
DROP VIEW hotwire.computer_rep_hid;
DROP VIEW hotwire.column_data;
DROP VIEW hotwire.co_supervisor_hid;
DROP VIEW hotwire.co_mentor_hid;
DROP VIEW hotwire.chair_hid;
DROP VIEW hotwire.cambridge_college_hid;
DROP VIEW hotwire.cable_type_hid;
DROP VIEW hotwire.cabinet_hid;
DROP VIEW hotwire.cabinet_b_hid;
DROP VIEW hotwire.cabinet_a_hid;
DROP VIEW hotwire.building_region_hid;
DROP VIEW hotwire.backup_strategy_hid;
DROP VIEW hotwire.architecture_hid;
DROP VIEW hotwire.alternate_admin_contact_hid;
DROP VIEW hotwire.allowed_by_other_licence_hid;
DROP VIEW hotwire.licence_hid;
DROP VIEW hotwire.all_cos_hid;
DROP VIEW hotwire."academic_title_(optional)_hid";
DROP VIEW hotwire._view_data_new;
DROP VIEW hotwire._view_data2;
DROP VIEW hotwire._view_data;
DROP TABLE hotwire._subviews;
DROP VIEW hotwire._role_data;
DROP VIEW hotwire._preferences;
DROP TABLE hotwire.hw_preference_type_hid;
DROP SEQUENCE hotwire.hw_preference_type_seq;
DROP TABLE hotwire."hw_Preferences";
DROP SEQUENCE hotwire.hw_pref_seq;
DROP VIEW hotwire._deptest;
DROP VIEW hotwire._column_data;
DROP VIEW hotwire."SelfService/Licences";
DROP VIEW hotwire."Primary_strategic_goal_hid";
DROP VIEW hotwire."Postgres_User_hid";
DROP VIEW hotwire."IT_task_status_hid";
DROP VIEW hotwire."IT_task_leader_hid";
DROP VIEW hotwire."IT_strategic_goal_hid";
DROP VIEW hotwire."IT_status_hid";
DROP VIEW hotwire."90_Action/Hotwire/User Preferences";
DROP TABLE hotwire."hw_User Preferences";
DROP SEQUENCE hotwire.hw_user_pref_seq;
DROP VIEW hotwire."30_WPKG/50_Host_to_package_ro";
DROP VIEW hotwire."30_WPKG/25_paper_licence_certs";
DROP VIEW hotwire."30_Report/Submission_Time_Taken";
DROP VIEW hotwire."30_Report/Staff_Review_and_Development_Historical";
DROP VIEW hotwire."30_Report/Staff_Review_and_Development";
DROP VIEW hotwire."30_Report/Staff_Personnel";
DROP VIEW hotwire."30_Report/Space_used_by_Research_Group";
DROP VIEW hotwire."30_Report/Source_of_Funds";
DROP VIEW hotwire."30_Report/Short_Searching";
DROP VIEW hotwire."30_Report/Searching";
DROP VIEW hotwire."30_Report/Rooms_everything";
DROP VIEW hotwire."30_Report/Rooms_by_Research_Group";
DROP VIEW hotwire."30_Report/Rooms_by_RIG";
DROP VIEW hotwire."30_Report/Retirement_Dates";
DROP VIEW hotwire."30_Report/REF_2021";
DROP VIEW hotwire."30_Report/Principal_Investigators_with_Students";
DROP VIEW hotwire."30_Report/Postgrad_Students_with_DOB";
DROP VIEW hotwire."30_Report/Postgrad_Personnel";
DROP VIEW hotwire."30_Report/Postgrad_Mentors";
DROP VIEW hotwire."30_Report/Postdoc_Mentors";
DROP VIEW hotwire."30_Report/Phone_Directory";
DROP VIEW hotwire."30_Report/PhD_Submission";
DROP VIEW hotwire."30_Report/People_Without_Roles";
DROP VIEW hotwire."30_Report/PDRA_Status";
DROP VIEW hotwire."30_Report/Leavers";
DROP VIEW hotwire."30_Report/Inconsistent_Status";
DROP VIEW hotwire."30_Report/IPs_without_Hostnames_ro";
DROP VIEW hotwire."30_Report/IPs_without_Hardware_ro";
DROP VIEW hotwire."30_Report/HRNJ_Postgrad_ro";
DROP VIEW hotwire."30_Report/Funding";
DROP VIEW hotwire."30_Report/Female_Researchers";
DROP VIEW hotwire."30_Report/Current_Postgrad_Summary_ro";
DROP VIEW hotwire."30_Report/Current_Postdocs";
DROP VIEW hotwire."30_Report/Current_People_by_Sector_ro";
DROP VIEW hotwire."30_Report/ChemAtCam/OptIns";
DROP VIEW hotwire."30_Report/All_Group_Computers";
DROP VIEW hotwire."10_View/User_Account";
DROP VIEW hotwire."10_View/Systems/ChemNet";
DROP VIEW hotwire."10_View/System_Image_Basic";
DROP VIEW hotwire."10_View/System_Image_Autoinstaller";
DROP VIEW hotwire."10_View/Switchport";
DROP VIEW hotwire."10_View/Staff_Reviews";
DROP VIEW hotwire."10_View/Safety/Fume_Hoods";
DROP VIEW hotwire."10_View/Safety/Firstaiders";
DROP VIEW hotwire.building_hid;
DROP VIEW hotwire.building_floor_hid;
DROP VIEW hotwire."10_View/Rooms/Room_Occupants";
DROP VIEW hotwire."10_View/Rooms/Room_Occupancy";
DROP VIEW hotwire."10_View/Rooms/Room_Attributes";
DROP VIEW hotwire."10_View/Roles/_current_people_supervised_by";
DROP VIEW hotwire."10_View/Roles/_Cambridge_History_V2";
DROP VIEW hotwire."10_View/Roles/Visitors";
DROP VIEW hotwire."10_View/Roles/Postgrad_Students";
DROP VIEW hotwire."10_View/Roles/Post_History";
DROP VIEW hotwire."10_View/Roles/Part_III_Students";
DROP VIEW hotwire."10_View/Roles/Erasmus_Students";
DROP VIEW hotwire."10_View/Research_Groups_Computing_Computers";
DROP VIEW hotwire."10_View/Research_Groups/Software_Licence_Declaration";
DROP VIEW hotwire."10_View/Research_Groups/Computer_reps";
DROP VIEW hotwire."10_View/Research_Group_Test_Editing";
DROP VIEW hotwire."10_View/Research_Group_Test2_Editing";
DROP VIEW hotwire."10_View/Registration_and_Leaving";
DROP VIEW hotwire."10_View/RFLtest";
DROP VIEW hotwire."10_View/Printers";
DROP VIEW hotwire."10_View/Postgrad_Training";
DROP VIEW hotwire."10_View/Postgrad_Mentor_Meetings";
DROP VIEW hotwire."10_View/People/Website_View";
DROP VIEW hotwire."10_View/People/Swipe_Cards";
DROP VIEW hotwire."10_View/People/Staff_Review_History";
DROP VIEW hotwire."10_View/People/Room_Occupants";
DROP VIEW hotwire."10_View/People/Research_Group_Members";
DROP VIEW hotwire."10_View/People/Personnel_History";
DROP VIEW hotwire."10_View/People/All_Contact_Details";
DROP VIEW hotwire."10_View/Patch_Panel";
DROP VIEW hotwire."10_View/Network/_vlanchange_ro";
DROP VIEW hotwire."10_View/Network/_switch_config_subview";
DROP VIEW hotwire."10_View/Network/_Switchport_ro";
DROP VIEW hotwire.switch_auth_hid;
DROP VIEW hotwire.speed_hid;
DROP VIEW hotwire."10_View/Network/VLAN";
DROP VIEW hotwire."10_View/Network/Switch_Port_Config_Goals";
DROP VIEW hotwire."10_View/Network/Switch_Port_Config_Fragments";
DROP VIEW hotwire."10_View/Network/Switch_Port";
DROP VIEW hotwire."10_View/Network/Switch_Configs_ro";
DROP VIEW hotwire."10_View/Network/Switch_Config_Goals";
DROP VIEW hotwire."10_View/Network/Switch Models";
DROP VIEW hotwire."10_View/Network/Switch Config Fragments";
DROP VIEW hotwire."10_View/Network/Switch";
DROP VIEW hotwire."10_View/Network/Subnet";
DROP VIEW hotwire."10_View/Network/MAC_to_VLAN";
DROP VIEW hotwire."10_View/Network/GBIC";
DROP VIEW hotwire."10_View/Network/Fibres/_FibreRuns_ro";
DROP VIEW hotwire."10_View/Network/Fibres/_FibreCore_ro";
DROP VIEW hotwire.fibre_core_hid;
DROP VIEW hotwire.fibre_panel_b_hid;
DROP VIEW hotwire.fibre_panel_a_hid;
DROP VIEW hotwire.fibre_core_type_hid;
DROP VIEW hotwire."10_View/Network/Fibres/_FibreCore_for_Cabinet_ro";
DROP VIEW hotwire."10_View/Network/Fibres/Tests";
DROP VIEW hotwire."10_View/Network/Fibres/15_Fibre_Core";
DROP VIEW hotwire."10_View/Network/Fibres/10_Fibre_run";
DROP VIEW hotwire."10_View/Network/Fibre_Panel";
DROP VIEW hotwire."10_View/Network/DB_Admin/Fibre Core Type";
DROP VIEW hotwire."10_View/Network/Cabinet";
DROP VIEW hotwire."10_View/Mailing_Lists/OptOuts";
DROP VIEW hotwire."10_View/Mailing_Lists/OptIns";
DROP VIEW hotwire."10_View/Mailing_Lists/Chemistry_Mail_Domain";
DROP VIEW hotwire."10_View/IT_Sales/Sales";
DROP VIEW hotwire."10_View/IP_address";
DROP VIEW hotwire."10_View/Hotwire_Test";
DROP VIEW hotwire."10_View/Hobbit/Clients_Cfg";
DROP VIEW hotwire."10_View/Hardware_Full";
DROP VIEW hotwire."10_View/Hardware_Basic";
DROP VIEW hotwire."10_View/Group_Fileservers";
DROP VIEW hotwire."10_View/Group_Computers_Autoinstaller";
DROP VIEW hotwire."10_View/Group_Computers";
DROP VIEW hotwire."10_View/Edit_Operating_Systems";
DROP VIEW hotwire."10_View/Edit_List_of_Titles";
DROP VIEW hotwire."10_View/Edit_Hardware_Types";
DROP VIEW hotwire."10_View/Easy_Add_Switch";
DROP VIEW hotwire."10_View/Easy_Add_Machine";
DROP VIEW hotwire.easy_addable_subnet_hid;
DROP VIEW hotwire."10_View/Database/Database_Users";
DROP VIEW hotwire."10_View/Database/Access_Control_Lists";
DROP VIEW hotwire."10_View/Database/Access_Control_Groups";
DROP VIEW hotwire."10_View/DNS/MX_Records";
DROP VIEW hotwire."10_View/DNS/CNames";
DROP VIEW hotwire."10_View/DNS/ANames";
DROP VIEW hotwire."10_View/Computers/System_Image/_IP_address_ro";
DROP VIEW hotwire."10_View/Computers/System_Image/_Hardware_ro";
DROP VIEW hotwire."10_View/Computers/System_Image/_Contact_Details_ro";
DROP VIEW hotwire."10_View/CPGS_Submission";
DROP VIEW hotwire."10_View/Buildings";
DROP VIEW hotwire."10_View/Building_Regions";
DROP VIEW hotwire."10_View/Building_Floors";
DROP VIEW hotwire."10_View/10_IT_Tasks/_audit_ro";
DROP VIEW hotwire."10_View/10_IT_Tasks/Strategic Goals";
DROP VIEW hotwire."10_View/10_IT_Tasks/Report_for_School_IT//90_completed";
DROP VIEW hotwire."10_View/10_IT_Tasks/Report_for_School_IT//89_hdr";
DROP VIEW hotwire."10_View/10_IT_Tasks/Report_for_School_IT//30_projects";
DROP VIEW hotwire."10_View/10_IT_Tasks/Report_for_School_IT//29_hdr";
DROP VIEW hotwire."10_View/10_IT_Tasks/Report_for_School_IT//20_projects";
DROP VIEW hotwire."10_View/10_IT_Tasks/Report_for_School_IT//19_hdr";
DROP VIEW hotwire."10_View/10_IT_Tasks/Report_for_School_IT//10_projects";
DROP VIEW hotwire."10_View/10_IT_Tasks/Report_for_School_IT//09_hdr";
DROP VIEW hotwire."10_View/10_IT_Tasks/Report_for_School_IT//01_header";

DROP FUNCTION public.upd_easy_add_virtual_machine(hotwire."10_View/Easy_Add_Virtual_Machine");

DROP VIEW hotwire."10_View/Easy_Add_Virtual_Machine";

DROP FUNCTION public.hw_fn_telephone_mgmt_upd("10_View/Telephone_Management");

DROP VIEW hotwire."10_View/Telephone_Management";

DROP FUNCTION public.hw_fn_telephone_basic_upd(hotwire."10_View/Telephone_Basic");

DROP VIEW hotwire."10_View/Telephone_Basic";

DROP FUNCTION public.hw_fn_system_image_user_upd(hotwire."10_View/System_Image_User");

DROP VIEW hotwire."10_View/System_Image_User";

DROP FUNCTION public.hw_fn_system_image_asset_ins(hotwire."10_View/System_Image_Asset");

DROP VIEW hotwire."10_View/System_Image_Asset";

DROP FUNCTION public.hw_fn_system_image_all_upd(hotwire."10_View/System_Image_All");

DROP VIEW hotwire."10_View/System_Image_All";

DROP FUNCTION public.hw_fn_switch_upd(hotwire."10_View/Network/Switch_With_Rooms");

DROP VIEW hotwire."10_View/Network/Switch_With_Rooms";

DROP FUNCTION public.hw_fn_socket_insert_or_update(hotwire."10_View/Socket");

DROP VIEW hotwire."10_View/Socket";

DROP FUNCTION public.hw_fn_research_interest_group_upd(hotwire."10_View/Research_Interest_Group");

DROP VIEW hotwire."10_View/Research_Interest_Group";

DROP FUNCTION public.hw_fn_research_groups_computing_upd(hotwire."10_View/Research_Groups_Computing");

DROP VIEW hotwire."10_View/Research_Groups_Computing";

DROP FUNCTION public.hw_fn_research_group_ins(hotwire."10_View/Research_Group_Editing");

DROP VIEW hotwire."10_View/Research_Group_Editing";

DROP FUNCTION public.hw_fn_personnel_photography_reg_upd(hotwire."10_View/People/Photography_Registration");

DROP VIEW hotwire."10_View/People/Photography_Registration";

DROP FUNCTION public.hw_fn_personnel_basic_upd(hotwire."10_View/People/Personnel_Basic");

DROP VIEW hotwire."10_View/People/Personnel_Basic";

DROP FUNCTION public.hw_fn_it_tasks_upd(hotwire."10_View/10_IT_Tasks/Tasks");

DROP VIEW hotwire."10_View/10_IT_Tasks/Tasks";
DROP VIEW hotwire.computer_officer_hid;
DROP VIEW hotwire.person_hid;

DROP FUNCTION public.hw_fn_it_projects_upd(hotwire."10_View/10_IT_Tasks/IT_Projects");

DROP VIEW hotwire."10_View/10_IT_Tasks/IT_Projects";

DROP FUNCTION public.hw_fn_dom0_domu_mapping_upd("10_View/Dom0_DomU_Mapping");

DROP VIEW hotwire."10_View/Dom0_DomU_Mapping";

DROP FUNCTION public.fn_wpkg_licence_insupd("30_WPKG/40_licence");

DROP VIEW hotwire."30_WPKG/40_licence";

DROP FUNCTION public.fn_wpkg_licence_instance_insupd("30_WPKG/15_licence_instance");

DROP VIEW hotwire."30_WPKG/15_licence_instance";

DROP FUNCTION public.fn_software_package_insupd("30_WPKG/10_software");

DROP VIEW hotwire."30_WPKG/10_software";
DROP FUNCTION hotwire.update_supervisors("10_View/Roles/Bulk_update_supervisors");
DROP VIEW hotwire."10_View/Roles/Bulk_update_supervisors";
DROP FUNCTION hotwire.suggest_view(tablename character varying, schemaname character varying, omenuname character varying, oviewname character varying);
DROP FUNCTION hotwire.personnel_data_entry_upd("10_View/People/Personnel_Data_Entry");
DROP VIEW hotwire."10_View/People/Personnel_Data_Entry";
DROP FUNCTION hotwire.fn_fire_warden_upd("10_View/Safety/Fire_wardens");
DROP VIEW hotwire."10_View/Safety/Fire_wardens";
DROP FUNCTION hotwire.fn_fire_warden_area_upd("10_View/Safety/Fire_warden_areas");
DROP VIEW hotwire."10_View/Safety/Fire_warden_areas";
DROP SCHEMA hotwire;
